from events import Event
from listeners import OnPlayerRunCommand
from players.entity import Player
from filters.players import PlayerIter
from players.helpers import index_from_userid
from players.constants import PlayerStates, PlayerButtons
from messages import SayText2


# Settings for the player
settings = {}
command = "!autobhop"


@OnPlayerRunCommand
def PlayerRunCommand(player, cmd):

    # Finds the userid (converts it to string)
    userid = str(player.userid)

    if not userid in settings:
        settings[userid] = {'jump':0}

    if not player in PlayerIter('alive'):
        return

    if player.flags & PlayerStates.ONGROUND:
        return

    if settings[userid]['jump']:
        cmd.buttons &= ~PlayerButtons.JUMP


@Event('player_say')
def on_player_say(event):
    text = event['text']
    userid = event['userid']
    index = index_from_userid(userid)

    # Makes sure userid is a string
    str_userid = str(userid)

    if text == command:
        if not settings[str_userid]['jump']:
            SayText2('Autojump: ON').send(index)
            settings[str_userid]['jump'] = 1
        else:
            SayText2('Autojump: Off').send(index)
            settings[str_userid]['jump'] = 0




